SoCameraKit(3)

NAME
SoCameraKit - The SoCameraKit class is a node kit with a transform and a camera.

SYNOPSIS

#include <Inventor/nodekits/SoCameraKit.h>

Inherits SoBaseKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
SoCameraKit (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoCameraKit ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode camera
SoSFNode transform
SoSFNode transformGroup

  Additional Inherited Members

Detailed Description

The SoCameraKit class is a node kit with a transform and a camera. Nodekit structure (new entries versus parent class marked with arrow prefix):

CLASS SoCameraKit
-->'this'
      'callbackList'
-->   'transformGroup'
-->      'transform'
-->      'camera'

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

CLASS SoCameraKit
PVT   'this',  SoCameraKit  ---
      'callbackList',  SoNodeKitListPart [ SoCallback, SoEventCallback ]
PVT   'transformGroup',  SoTransformSeparator  ---
      'transform',  SoTransform  ---
      'camera',  SoCamera  --- , (default type = SoPerspectiveCamera)

(See SoBaseKit::printTable() for information about the output formatting.)

Constructor & Destructor Documentation

  SoCameraKit::SoCameraKit (void)
Constructor.

  SoCameraKit::~SoCameraKit () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoCameraKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoCameraKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

  const SoFieldData ** SoCameraKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoCameraKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog * SoCameraKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoCameraKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog ** SoCameraKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  void SoCameraKit::initClass (void) [static]

Author

Generated automatically by Doxygen for Coin from the source code.